Subject: WG Action: RECHARTER: Common Control and Measurement Plane (ccamp)

From: The IESG <[email-masked]>
Date: Thu, 03 Nov 2005 17:06:16 -0500

The charter of the Common Control and Measurement Plane (ccamp) working group 
in the Routing Area of the IETF has been updated. For additional information, 
please contact the Area Directors or the working group Chairs.

+++

Common Control and Measurement Plane (ccamp)
=============================================

Current Status: Active Working Group

Chair(s):
Kireeti Kompella <[email-masked]>
Adrian Farrel <[email-masked]>

Routing Area Director(s):
Bill Fenner <[email-masked]>
Alex Zinin <[email-masked]>

Routing Area Advisor:
Alex Zinin <[email-masked]>

Technical Advisor(s):
Alex Zinin <[email-masked]>

Mailing Lists:
General Discussion: [email-masked]
To Subscribe: [email-masked]
In Body: subscribe ccamp
Archive: https://ops.ietf.org/lists/ccamp

Description of Working Group:
Organizational Overview

The CCAMP working group coordinates the work within the IETF defining
a common control plane and a separate common measurement plane for
physical path and core tunneling technologies of Internet and telecom
service providers (ISPs and SPs), e.g. O-O and O-E-O optical
switches, ATM and Frame Relay switches, MPLS, GRE, in cooperation
with the MPLS WG. In this context, measurement refers to the
acquisition and distribution of attributes relevant to the setting up
of tunnels and paths.

CCAMP WG work scope includes:

- Definition of protocol-independent metrics and parameters
(measurement attributes) for describing links and paths that are
required for routing and signaling. These will be developed in
conjunction with requests and requirements from other WGs to
ensure overall usefulness.

- Definition of protocol(s) and extensions to them required for
link and path attribute measurement. Link Management Protocol (LMP)
is included here.

- Functional specification of extensions for routing (OSPF, ISIS) and
signalling (RSVP-TE) required for path establishment. Protocol
formats and procedures that embody these extensions will be done
jointly with the WGs supervising those protocols.

- Definition of the mechanisms required to determine the route and
properties of an established path (tunnel tracing).

- Definition of MIB modules and other OAM techniques relevant to the
protocols and extensions specified within the WG.

CCAMP WG currently works on the following tasks:

- Define how the properties of network resources gathered by a
measurement protocol can be distributed in existing routing
protocols, such as OSPF and IS-IS. CCAMP defines the generic
description of the properties and how they are distributed in OSPF.
The specifics of distribution within IS-IS are being addressed in
the ISIS WG.

- Define signaling and routing mechanisms and extensions to allow path
and tunnel setup and maintenance across multiple domains, where a
domain may be an IGP area, an Autonomous System, or any other region
of topological visibility. To this end, work cooperatively with the
PCE and MPLS WGs.

- Define abstract link and path properties needed for link and path
protection. Specify signalling mechanisms for path protection,
diverse routing and fast path restoration. Ensure that multi-layer
path protection and restoration functions are achievable using the
defined signalling, routing, and measurement protocols, either
separately or in combination.

- Identify which requirements for signaling and routing for ASON are
not currently met by protocols defined in CCAMP; based on these,
define mechanisms to address these requirements.

- Document issues and strategies for the migration of MPLS-based
deployments to GMPLS. Based on the outcome, identify protocol
machinery that implementations may have to change to ease the
migration from MPLS to GMPLS.

In doing this work, the WG will work closely with at least the
following other WGs: MPLS, ISIS, OSPF, IDR, L1VPN and PCE. The
WG will also cooperate with the ITU-T.

Goals and Milestones:
Done    Post strawman WG goals and charter  
Done    Identify and document a limited set of candidate solutions for
signalling and for measurement. Among candidate control solutions to be
considered are the existing GMPLS drafts.  
Done    Build appropriate design teams  
Done    Submit WG document defining path setup portions of common control plane
protocol  
Done    Submit WG document defining common measurement plane protocol  
Done    Submit LMP MIB to IESG  
Done    Submit protection & restoration documents to IESG  
Done    Submit ASON signaling requirements doc to IESG  
Done    Submit GMPLS MIBs to IESG  
Done    Produce CCAMP WG document for generic tunnel tracing protocol  
Done    Produce CCAMP WG document for multi-area/AS signaling and routing  
Done    Submit ASON routing requirements doc to IESG  
Done    Submit revised charter and milestones to IESG for IESG consideration of
more detailed deliverables and determination of usefulness of continuation of WG
  
Oct 05    First version WG I-D for Advertising TE Node Capabilities in ISIS and
OSPF  
Oct 05    First version WG I-D for Automatic discovery of MPLS-TE mesh
membership  
Nov 05    Submit ASON Routing evaluation I-D for IESG review  
Nov 05    Cross-WG review of I-D for Advertising TE Node Capabilities in ISIS
and OSPF  
Nov 05    First version WG I-D MPLS to GMPLS migration strategies  
Dec 05    Submit RSVP-TE extensions for inter-domain signaling I-D for IESG
review  
Dec 05    Submit Per-domain path computation signaling I-D for IESG review  
Dec 05    First version of WG I-D for ASON Routing solutions  
Dec 05    First version WG I-D Requirements for Multi-Layer and Multi-Region
Networks  
Dec 05    First version WG I-D for Evaluation of existing protocols for MLN/MRN
 
Jan 06    Submit GMPLS signaling in support of Call Management I-D for IESG
review  
Jan 06    Submit I-D for Advertising TE Node Capabilities in ISIS and OSPF for
IESG review  
Jan 06    First version WG I-D for Protocol solutions for MLN/MRN  
Jan 06    First version of WG I-D for OSPF-TE/GMPLS MIB module  
Jan 06    First version WG Informational I-D for Analysis of inter-domain issues
for disjoint and protected paths  
Feb 06    Submit GMPLS/ASON lexicography I-D for IESG review  
Feb 06    Submit LSP Stitching I-D for IESG review  
Feb 06    First version WG I-D MPLS-GMPLS interworking requirements and
solutions  
Mar 06    Submit I-D for Automatic discovery of MPLS-TE mesh membership for IESG
review  
Mar 06    First version WG I-D GMPLS OAM Requirements  
Apr 06    Submit GMPLS routing and signaling interoperability advice I-D for
IESG review  
Apr 06    First version of WG I-D for additional MIB module to cover RSVP-TE
signaling extensions  
Jun 06    Submit Informational I-D for Analysis of inter-domain issues for
disjoint and protected paths for IESG review  
Oct 06    Submit MPLS to GMPLS migration strategies I-D for IESG review  
Nov 06    Submit ASON Routing solutions I-D for IESG review  
Dec 06    Submit Requirements for Multi-Layer and Multi-Region Networks I-D for
IESG review  
Jan 07    Submit MPLS-GMPLS interworking requirements and solutions I-D for IESG
review  
Feb 07    Submit Evaluation of existing protocols for MLN/MRN for IESG review  
Mar 07    Submit OSPF-TE/GMPLS MIB module for MIB doctor and IESG review  
Jun 07    Submit GMPLS OAM Requirements I-D for IESG review  
Aug 07    Submit Protocol solutions for MLN/MRN I-D for IESG review  
Dec 07    Submit MIB module for RSVP-TE signaling extensions for MIB doctor and
IESG review  
Dec 07    Recharter or close Working Group

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 3 Nov 2005 22:51:44 -0000

I hope no-one is too shocked that this happened before the end of 2007.

Looks like we now the go-ahead to do some work.

Of course, our initial milestones are already behind schedule (which may
give you a hint as to how long this has been in the pipeline). We will
sort all this out over the next couple of weeks and start to move things
forwards.

Thanks for your support in getting this to happen.

Adrian
----- Original Message ----- 
From: "The IESG" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; "Kireeti Kompella" <[email-masked]>;
"Adrian Farrel" <[email-masked]>
Sent: Thursday, November 03, 2005 10:06 PM
Subject: WG Action: RECHARTER: Common Control and Measurement Plane
(ccamp)

> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf-announce
>
>

---

From: "Tom Petch" <[email-masked]>
Date: Fri, 4 Nov 2005 18:52:50 +0100

These drafts seem to have some unusual formatting which makes them hard for me
to view.

Most lines start with 18 characters of white space - too much! - and each page
seems to start with something unprintable

Tom Petch